# Class goog.labs.testing.InstanceOfMatcher

code »

All implemented interfaces:
  `goog.labs.testing.Matcher`

The InstanceOf matcher.

## Constructor

goog.labs.testing.InstanceOfMatcher ( object )

Parameters

object: `!Object`
  The expected class object.

Show:Public Protected Private

## Instance Methods

code »describe ( actualObject ) ⇒ `string`

Parameters

actualObject

code »matches ( actualObject ) ⇒ `boolean`

Determines if an object is an instance of another object.

Parameters

actualObject

## Instance Properties

code »object_ : `!Object`